API Docs / Operations / Engagements / Download letter of engagement PDF

Download letter of engagement PDF

GET /tenants/{tenant}/engagements/{code}/pdf/letter-of-engagement

Downloads the letter of engagement PDF document.

Returns the PDF file as binary content with appropriate headers for download.
The response will include a Content-Disposition header with a filename in the format:
letter-of-engagement-{code}-{date}.pdf

Prerequisites:

  • The engagement must exist
  • A letter of engagement PDF must have been previously uploaded (HasLofEPdf must be true)

Returns:

  • 200: PDF file as application/pdf binary content
  • 404: If the engagement or letter of engagement PDF is not found

Parameters

NameTypeDescription
tenant* path string

The Tenant.Code

The Tenant.Code

code* path string

Responses

200 OK
application/pdf
401 Unauthorized - Invalid or missing API key
404 Not Found

Try it